.\" Text automatically generated by txt2man
.TH untitled  "02 March 2015" "" ""
.SH NAME
\fBfullscreen \fP- native Cocoa fullscreen windows on Mac OS X 10.7 and later
\fB
.SH SYNPOSIS

package require fullscreen
.PP
::fullscreen::fullscreen $w
.SH DESCRIPTION

This package adds native a "fullscreen" button to Tk windows on Mac OS X 10.7 and later. 
.PP
The ::fullscreen::fullscreen command implements a Cocoa-native fullscreen button that, when pressed, will move the window to fullscreen status. The window can be restored to its previous state by clicking the "resize" icon in the application menu.
.SH LIMITATIONS

This command is implemented internally by overriding the native Cocoa fullscreen API to generate a <<ToggleFullScreen>> virtual event, which is then passed to Tcl to map the fullscreen status to the window via the "wm attributes $w \fB-fullscreen\fP" command. This ensures smoother integration between Tk and Cocoa by working with a standard Tk mechanism, but does not work identically to fully-native Cocoa fullscreen implementations. Earlier implementations of the fullscreen attempted to provide a fully-native Cocoa implementation, but it was highly-complex and prone to crashing. 
.SH KEYWORDS

fullscreen, Mac, Cocoa
